Package Details: beersmith2 2.3.12-4

Git Clone URL: https://aur.archlinux.org/beersmith2.git (read-only)
Package Base: beersmith2
Description: Complete software suite for brewers
Upstream URL: https://beersmith.com
Licenses: Commercial
Submitter: MacDaddy
Maintainer: Scimmia
Last Packager: Scimmia
Votes: 3
Popularity: 0.220524
First Submitted: 2016-05-11 03:43
Last Updated: 2018-06-17 22:54

Latest Comments

everythingfunct commented on 2018-06-09 20:44

libpng12 needs to be added as a dependency.

spastorino commented on 2018-04-07 16:44

With today's Arch Linux packages and today's versions of beersmith2 and webkitgtk2, beersmith2 segfaults after opening an activated copy.

Repro steps:

  1. Remove ~/.beersmith2 if you have something
  2. Open BeerSmith2
  3. Activate Copy
  4. Close BeerSmith2
  5. Open BeerSmith2 again

It will segfault until you remove ~/.beersmith2 again.

Murri commented on 2017-12-11 19:48

Same error from @Palanthis.

I installed webkitgtk2 and now the program works well.

Scimmia commented on 2017-12-01 05:32

MacDaddy, the deps here are completely and totally wrong. Update them:

cairo
gcc-libs
gdk-pixbuf2
glib2
glibc
gtk2
libsm
libx11
libxxf86vm
libpng12
pango
webkitgtk2
zlib

Scimmia commented on 2017-12-01 05:30

Or you guys could rebuild your AUR packages after an soname bump like you're supposed to instead of littering your filesystem with untracked files. Good luck with that.

apterix commented on 2017-11-26 15:11

Same error from @cadilhac

What I did?
cp /var/cache/pacman/pkg/icu-59.1-2-x86_64.pkg.tar.xz /tmp/
cd /tmp/usr/lib/
rsync -aHx --numeric-ids libicui18n.so.59 libicui18n.so.59.1 libicuuc.so.59 libicuuc.so.59.1 libicudata.so.59 libicudata.so.59.1 /usr/lib/

now it's working.

cadilhac commented on 2017-11-26 12:00

icu has been updated, and the dependency is broken:

beersmith2: error while loading shared libraries: libicui18n.so.59: cannot open shared object file: No such file or directory

Locally unpacking icu-59 to a temp directory and launching beersmith2 from the /lib/ dir temporarily solves the problem.

Palanthis commented on 2017-11-12 21:05

11/12/2017 - Not pulling in an apparent dependency.

beersmith2: error while loading shared libraries: libwebkitgtk-1.0.so.0: cannot open shared object file: No such file or directory

Checked repos and AUR - Can't find this one?

Thanks!

MacDaddy commented on 2017-04-18 19:34

Updated dependancies for 2.3.12.

MacDaddy commented on 2017-04-13 01:32

Now updated to 2.3.12.

MacDaddy commented on 2017-04-12 21:00

I'll have an update for 2.3.12 in a day or two.

turkeyman commented on 2017-04-12 01:31

2.3.12 is available. It improves HiDPI support, which is super important!
Can has update?

MacDaddy commented on 2016-10-18 08:46

Updated to the latest 2.3.7 build. Both dependencies are downloading now from the makepkg -sri command, so you don't have to install them first.

cadilhac commented on 2016-08-22 09:57

A new version is available! Cheers!

MacDaddy commented on 2016-05-14 22:47

Updated package to support both i686 and x86_64.

MacDaddy commented on 2016-05-11 03:54

You have to install libpng12 from the AUR first.